| Haskell Hierarchical Libraries (base package) | Contents | Index

Debug.Trace

Portability | portable
Stability | provisional
Maintainer | libraries@haskell.org

Contents

Tracing

Description
The `trace` function.
Synopsis

trace :: String -> a -> a

Tracing
trace :: String -> a -> a
When called, `trace` prints the string in its first argument to standard error, before returning the second argument as its result. The `trace` function is not referentially transparent, and should only be used for debugging, or for monitoring execution. Some implementations of `trace` may decorate the string that's output to indicate that you're tracing.
Produced by Haddock version 0.6